<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Product;
use App\Models\Article; // Tambahkan ini untuk memanggil tabel artikel

class HomeController extends Controller
{
    // Halaman Beranda (Toko)
    public function index()
    {
        $products = Product::all();
        return view('home', compact('products'));
    }

    // Halaman Daftar Artikel Blog
    public function blogIndex()
    {
        // Hanya mengambil artikel dengan status 'published'
        $articles = Article::where('status', 'published')->orderBy('created_at', 'desc')->get();
        return view('blog_index', compact('articles'));
    }

    // Halaman Baca Artikel Detail (Berdasarkan Slug)
    public function blogShow($slug)
    {
        $article = Article::where('slug', $slug)->where('status', 'published')->firstOrFail();
        return view('blog_show', compact('article'));
    }
}